---
title: Books
layout: "base.njk"
---
These books had a big influence on my thinking and taste, and I recommend them all.

### [Gödel, Escher, Bach: an Eternal Golden Braid](https://amzn.to/44Nvcuf)
by Douglas Hofstadter

I read this heady tome in college. I think I've completed it three times? It alternates between whimsical stories and theory, building a case that thought and meaning are emergent properties of the brain. It deals heavily with the idea of self-reference, which is the main theme uniting the three people in the title. Although he discounts the possibility of the immaterial aspect of reality as unknowable, Hofstadter introduced me to many interesting ideas and his book is a delightful journey, if you are prepared for it.

### [The Space Trilogy: Out of the Silent Planet, Perelandra, and That Hideous Strength](https://amzn.to/3SfO7Xc)
by C. S. Lewis

These stories contain so much richness. One theme that stuck with me emerges in _Out of the Silent Planet_ and is repeated in _Perelandra_: that good things can be spoiled by overconsumption. Something that is pleasant or satisfying stands by itself, and doesn't need to be repeated or hoarded. In fact, the drive to capture, concentrate, and control pleasant things can cheapen them, and could be at the root of many of our troubles.

### [Leadership and Self-Deception](https://amzn.to/3GNsFGs)
by The Arbinger Institute

This book painted for me a vivid picture of the mechanics of selfish and self-centered thinking. It describes in detail the ways that we blind ourselves, especially in interpersonal communication. The result of internalizing the concepts in this book is a sort of secular elaboration of "Love your neighbor", but even though it misses (or omits? subtracts?) the spiritual core of things, it still rings quite true and the tools this book and others from the Arbinger Instuture present are fantastically valuable.
If this is of interest, you may also enjoy Marshall Rosenberg's "Non-violent communication"

### [Orthodoxy and the Religion of the Future](https://amzn.to/4jVqE9F)
by Fr. Seraphim Rose

This book synthesizes many pieces of the zeitgeist as I have seen it develop in my life. It touches on nihilism, the charismatic movement, yoga, eastern and new-age spirituality, and the UFO phenomenon. All these things are contextualized into a movement towards an upcoming religious synthesis, and contrasted with eastern Orthodoxy. Fr. Seraphim has a clear, academic writing style which I found easy to read, and this book answered many questions I had not even thought to ask. I also recommend his book/pamphlet [Nihilism: The Root of the Revolution of the Modern Age](https://amzn.to/4jYlRnX), which is slightly drier than this but sets a good foundation for it, and [The Soul After Death](https://amzn.to/4iDaAIv) for its sober and thorough approach to understanding things most people have not witnessed directly.

### [The Gurus, the Young Man, and Elder Paisios](https://amzn.to/3GzsoXJ)
by Dionysios Farasiotis

This is the fascinating true story of a young man's experiences with occult eastern gurus, the amazing adventures and troubles he had, and his conversations and visits with Elder Paisios of Mount Athos. He tells the story without embellishment, speaking plainly about the fantastic things that he saw and his thoughts and feelings as he struggled to find peace.

### [Little Brother](https://www.gutenberg.org/ebooks/30142)
by Cory Doctorow

This book functions not only as an engaging story, but a primer for digital security as a whole. If it doesn't make you an outright cypherpunk, you will at least understand the movement better.

### [Snow Crash](https://amzn.to/3SfPIMG)
by Neal Stephenson

A sympathetic main character, heaps of style, a hacker aesthetic, an evocative and lived-in setting, and non-stop action. This book magnified my love of the written word as a literal creative force. Digital reality and baseline reality are both created from language, but in different ways, and this story explores those ideas vigorously and memorably.

### [The Stranger](https://amzn.to/3SeBz2k)
by Chris Van Allsburg

The illustrations in this surreal children's book stuck with me my whole life. I like all this author's illustrations, but this book especially captured my imagination.

### [Getting Started on the PC-2](https://archive.org/details/gettingstartedon00harv)
by Harvard Pennington, Gary Camp, Ralph Burris

This was my first programming book. My grandfather Clarence gave it to me along with a Radio Shack PC-2 handheld computer. That evening I managed to make a program that produced "music", a random sequence of tones. I was hooked.